Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229999 - changing default printer doesn't take
Summary: changing default printer doesn't take
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 17:29 UTC by sean
Modified: 2008-01-10 12:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-10 12:31:00 UTC


Attachments (Terms of Use)

Description sean 2007-02-25 17:29:11 UTC
Description of problem:
I've had a Dell 1600 MFC as my default printer, as an lpd printer over my home
network. It's now gone. On the s-c-p page I've unchecked Enabled, Accepting jobs
and Shared. That page says "Default printer is Brother-8640-MFC".

The 8640 also uses an LPD over as a URI. It's s-c-p page says "This is  the
default printer"  All three boxes are checked.

The cups web interface shows the 8640 as the default printer. I can print to the
8640 just fine.

BUT...the Dell-1600 keeps showing up as the default printer in the print dialog
boxes - firefox, gedit, oowriter, evince. I can change it to the 8640.

I've restarted cups, I've rebooted. 

Version-Release number of selected component (if applicable):

system-config-printer-0.7.52-1.fc7.x86_64
cups-1.2.8-1.fc7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2007-03-02 17:44:56 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 2 Tim Waugh 2007-03-12 14:07:02 UTC
s-c-printer changes the server default, but it seems you've set a client
default.  What does 'cat ~/.cups/lpoptions' say?  Otherwise, what does 'cat
/etc/cups/lpoptions' say?

Comment 3 sean 2007-03-15 13:29:04 UTC
~/.cups/lpoptions doesn't exist.

But...

cat /etc/cups/lpoptions | grep fault
Default Dell-MFC-1600n kde-margin-bottom=0 kde-margin-left=0 kde-margin-right=0
kde-margin-top=0

Changed Default to Dest. That fixed it.

What sets lpoptions?

Comment 4 Tim Waugh 2008-01-10 12:31:00 UTC
The 'my-default-printer' application does.


Note You need to log in before you can comment on or make changes to this bug.